Skip to main content
GET
/
pipelines
List pipelines
curl --request GET \
  --url https://api.goldsky.com/api/v1/pipelines/ \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "name": "<string>",
      "type": "<string>",
      "status": "RUNNING",
      "definition": {
        "sources": {},
        "transforms": {},
        "sinks": {},
        "description": "<string>",
        "resource_size": "<string>",
        "use_dedicated_ip": true,
        "job": true
      },
      "created_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z",
      "resource_size": "<string>",
      "version": 123,
      "project_id": "<string>"
    }
  ],
  "pagination": {
    "next_page_token": "<string>",
    "page_size": 123
  }
}

Authorizations

Authorization
string
header
required

API token generated from the Goldsky Dashboard. Pass as: Authorization: Bearer

Query Parameters

type
string
pageSize
number
Required range: 1 <= x <= 100
pageToken
string

Response

200 - application/json

Default Response

data
object[]
required
pagination
object
required